-- FAMAS-C (Burstfire)
-- Rambo_6

-- Called when the weapon is created.

	function onInit( )

	-- Hai2u
	_SWEPSetSound( MyIndex, "single_shot", "Weapon_galil.Single" );

	end

	function onDrop()
	_EntEmitSound(Owner,"npc/overwatch/radiovoice/die"..math.random(1,3)..".wav")
	end

	function onThink( )

	end

	function onPrimaryAttack( )
		--_EntEmitSoundEx(Owner, "weapons/galil/galil-1.wav",1.0,1.2)
		-- Fine, then be stupid and not work.
	end


	

-- When the player presses left mouse button

	function onPrimaryAttack( )	

	end

	

-- When the player presses right mouse button

	function onSecondaryAttack( )		
	end

	function Deploy( )
	end
	
	function Holster( )
	end
	

-- When player presses reload. Returning false means DONT RELOAD. Although this will hitch on the client.

	function onReload( )

		return true;

	end

	



-- These are only accessed once when setting up the weapon

	

	function getWeaponSwapHands()

		return false;	

	end

	

	function getWeaponFOV()

		return 71;	

	end

	

	function getWeaponSlot()

		return 1;	

	end

	

	function getWeaponSlotPos()

		return 2;	

	end

	

	function getFiresUnderwater()

		return true;

	end

	

	function getReloadsSingly()

		return false;

	end

	



	

	-- Primary Attack

	

	function getDamage()

		return 12;

	end

	

	function getPrimaryShotDelay()

		return 0.27;

	end

		

	function getPrimaryIsAutomatic()

		return false;

	end

			

	function getBulletSpread()

		return vector3( -0.020, 0.0207, 0.0207 );

	end

	

	function getViewKick()

		return vector3( -1.96, 0.12, 0.12);

	end

	

	function getViewKickRandom()

		return vector3( -1.89, 0.22, 0.22 );

	end

		

	function getNumShotsPrimary()

		return 3;

	end

	

	function getPrimaryAmmoType()

		return "SMG1";

	end

	

	-- Secondary attack

	

	function getDamageSecondary()

		return 1;

	end

	

	function getSecondaryShotDelay()

		return 0.35;

	end

	

	function getSecondaryIsAutomatic()

		return false;

	end

	

	function getBulletSpreadSecondary()

		return vector3( 0.4, 0.4, 0.4 );

	end

	

	function getViewKickSecondary()

		return vector3( 0.0, 0.0, 3.0);

	end

	

	function getViewKickRandomSecondary()

		return vector3( -0.1, 0.1, 0.2 );

	end

	

	function getNumShotsSecondary()

		return 4;

	end

	

	function getSecondaryAmmoType()

		return "none";

	end

	

	



	function getViewModel( )

		return "models/weapons/v_rif_famas.mdl";

	end

	

	function getWorldModel( )

		return "models/weapons/w_rif_famas.mdl";

	end

	

	function getClassName() 

		return "weapon_famas";

	end




	

	function getMaxClipPrimary() -- return -1 if it doesn't use clips

		return 10;

	end

	

	function getMaxClipSecondary() -- return -1 if it doesn't use clips

		return -1;

	end

	

	function getDefClipPrimary() -- ammo in gun by default

		return 50;

	end

	

	function getDefClipSecondary()

		return 1;

	end



	

	function getAnimPrefix() -- How the player holds the weapon: pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade

		return "smg";

	end



	function getPrintName()

		return "FA MAS Carbine";

	end

	

	

	-- 0 = Don't override, shoot bullets, make sound and flash

	-- 1 = Don't shoot bullets but do make flash/sounds

	-- 2 = Only play animations

	-- 3 = Don't do anything

	

	function getPrimaryScriptOverride()

		return 0;

	end



	function getSecondaryScriptOverride()

		return 3;

	end


	function getDeathIcon( )
		return "d_famas";
	end
